import * as React from 'react';
import { VTablePOpts } from './interface';
/**
 * VTable ： 最新的数据Table组件 建议用它来替代 DataTable 和 TableLayout
 *
*/
declare class VTable extends React.PureComponent<VTablePOpts, any> {
    mode: string;
    id: string;
    rowKey: any;
    fetch: string;
    param: any;
    columns: any[];
    state: {
        selectedRowKeys: any[];
        selectObjects: any[];
        current: number;
        pageSize: number;
        maxHeight: number;
    };
    private fetchData;
    constructor(props: any);
    componentDidMount(): void;
    setColumns(columns: any, showIndex?: any): void;
    /**
     * 获取选中项
     */
    getSelected: () => any[][];
    /**
     * 获取当前查询参数
     */
    /**
     * 查询
     *  */
    query(param: any, manaul?: boolean): void;
    /**
     * 刷新当前页面
     *  */
    reflush: (param?: {}) => void;
    private onSelect;
    private renderSelectBar;
    private reMax;
    private renderSearchBar;
    private sorterField;
    private toPage;
    private renderTable;
    private renderPagination;
    render(): JSX.Element;
}
declare const _default: typeof VTable;
export default _default;
